/* 
	Script Utilizado no Artigo - IMASTERS
	Data: 13/05/2013
*/


-- Criando Tabela ManipulandoContador.
Create Table ManipulandoContador
(
	Id				INT IDENTITY PRIMARY KEY,
	Servidor		VARCHAR(15) NOT NULL,
	CouterName		VARCHAR(20) NOT NULL,
	Data			varchar(20) NOT NULL,
	Media			FLOAT		NOT NULL,
	Total			FLOAT		NOT NULL
)
GO

-- Inserindo os totais de cada contador.
INSERT ManipulandoContador (Servidor, CouterName, Data ,Media, Total)
Select	MachineName,
		CounterName,
		SUBSTRING(CounterDatetime,9,2) + '-' + SUBSTRING(CounterDatetime,6,2) + '-' + SUBSTRING(CounterDatetime,0,5) Data,
		(SUM(CounterValue)/2) Media,
		SUM(CounterValue) Total
		From CounterData C1, CounterDetails C2
Where C1.CounterID = C2.CounterID
--And CounterName = '% Processor Time'
Group by SUBSTRING(CounterDatetime,9,2) + '-' + SUBSTRING(CounterDatetime,6,2) + '-' + SUBSTRING(CounterDatetime,0,5),
		CounterName, MachineName, ObjectName
Order by 1 ASC
GO